expirebackups(1)

NAME

expirebackups - list old backups

SYNOPSIS
expirebackups [keep_this_many] path

DESCRIPTION
Checks the given path for backups generated by simplebackup(1). If more than keep_this_many generations of a backup are found, the oldest files are printed to stdout. These files can then be deleted, leaving keep_this_many generations of every backup unharmed.

OPTIONS

keep_this_many
    The number of files to keep of every backup. Default value is 4.

path
    The path to check for backups. Only files matching a pattern like hostname-YYYYMMDD.tar.gz are considered backup files.

SEE ALSO
simplebackup(1), simplebackup.conf(5)

AUTHOR
expirebackups was written by Christian Garbs <mitch@cgarbs.de>.

COPYRIGHT
expirebackups is licensed under GNU GPL.